window.Vue = require('vue');

window._ = require('lodash');

window.axios = require('axios');

window.axios.defaults.baseUrl = 'http://localhost:8000/';

import Vue from 'vue';
import Vuetify from 'vuetify';
import iView from 'iview';

import App from './App.vue';
import router from './route';
import store from './store';

import 'iview/dist/styles/iview.css';

Vue.use(Vuetify);
Vue.use(iView);

iView.LoadingBar.config({
    color: '#1B5E20',
    height: 3
});

const app = new Vue({
    el: '#app',
    router,
    store,
    render: h => h(App)
});
